/*
 * @Author: Kane
 * @Date: 2023-09-21 16:01:51
 * @LastEditors: Kane
 * @FilePath: /desktop_archievement_backend/src/main/java/com/cpic/xim/web/controllers/rewards/UpdateTelsalerRequest.java
 * @Description: 
 * 
 * Copyright (c) ${2022} by Kane, All Rights Reserved. 
 */

package com.cpic.xim.web.controllers.rewards;

import com.fasterxml.jackson.annotation.JsonProperty;

public class UpdateTelsalerRequest
{
    public UpdateTelsalerRequest() {}

    public UpdateTelsalerRequest( int recordID, String rewardIndex, String telsalerName )
    {
        this.recordID = recordID;
        this.rewardIndex = rewardIndex;
        this.telsalerName = telsalerName;
    }

    public String getRewardIndex()
    {
        return rewardIndex;
    }

    public void setRewardIndex( String rewardIndex )
    {
        this.rewardIndex = rewardIndex;
    }

    public String getTelsalerName()
    {
        return telsalerName;
    }

    public void setTelsalerName( String telsalerName )
    {
        this.telsalerName = telsalerName;
    }

    public int getRecordID()
    {
        return recordID;
    }

    public void setRecordID( int recordID )
    {
        this.recordID = recordID;
    }

    @Override
    public String toString()
    {
        return "UpdateTelsalerRequest [recordID=" + recordID + ", rewardIndex=" + rewardIndex
                + ", telsalerName=" + telsalerName + "]";
    }

    @Override
    public int hashCode()
    {
        final int prime = 31;
        int result = 1;
        result = prime * result + recordID;
        result = prime * result + ((rewardIndex == null) ? 0 : rewardIndex.hashCode());
        result = prime * result + ((telsalerName == null) ? 0 : telsalerName.hashCode());
        return result;
    }

    @Override
    public boolean equals( Object obj )
    {
        if ( this == obj )
            return true;
        if ( obj == null )
            return false;
        if ( getClass() != obj.getClass() )
            return false;
        UpdateTelsalerRequest other = (UpdateTelsalerRequest) obj;
        if ( recordID != other.recordID )
            return false;
        if ( rewardIndex == null )
        {
            if ( other.rewardIndex != null )
                return false;
        } else if ( !rewardIndex.equals( other.rewardIndex ) )
            return false;
        if ( telsalerName == null )
        {
            if ( other.telsalerName != null )
                return false;
        } else if ( !telsalerName.equals( other.telsalerName ) )
            return false;
        return true;
    }

    @JsonProperty("recordID")
    private int recordID;

    @JsonProperty("rewardIndex")
    private String rewardIndex;

    @JsonProperty("telsalerName")
    private String telsalerName;
}